Hello,

In message "[ruby-core:48124] Re: [Backport93 - Backport #7174][Assigned] Advocating for backporting 36811"
    on Oct.19,2012 23:58:45, <h.shirosaki / gmail.com> wrote:
> > Shirosaki-san, can you make a patch for 1.9.3?
> > The base of r36811 is too far from 1.9.3.
> 
> I've rebased on the top of r37266. Recent revisions don't conflict.
> I added two commits.
> 
> https://github.com/thecodeshop/ruby/commits/win-file-trunk/ruby_1_9_3
> (I also updated ruby_1_9_3.)
> 
> Revisions:
> r34849,r34853,r34854,r34855,r34859,r34862,r35384,r35385,r36811,r36812,r36850,r36907,r36908
> 
> Patch:
> https://github.com/thecodeshop/ruby/compare/ruby_1_9_3...win-file-trunk/ruby_1_9_3.diff
> https://gist.github.com/3918535

Sorry for my late reply, and thank you very very much for
clarifying changes.


> I confirmed make, make test and make test-all with the following
> environments. It seems fine.
> x86_64-darwin12.2.0, i386-mingw32, x64-mswin64
> 
> ruby 1.9.3p297 [i386-mingw32] on Win7
> has two failures. Other fixes will be required for those.
(snip)
> r36636 will fix test_getpwuid failure.
> r37048 will fix test_generate_bin_bindir_with_user_install_warning failure.
> r37032 will fix parallel test-all failure.

Thank you, too!


Regards,
-- 
U.Nakamura <usa / garbagecollect.jp>